The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"OpenNews: Бинарная совместимость в Linux"
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [Проследить за развитием треда]

"OpenNews: Бинарная совместимость в Linux"
Сообщение от opennews on 15-Окт-04, 14:07 
Timothy Witham организовал дискуссионную группу "Binary Testing SIG (http://groups.osdl.org/apps/group_public/workgroup.php?wg_abbrev=binary_sig)", для обсуждения вопросов создания единой спецификации бинарного интерфейса пользовательских  программ (ABI - Application Binary InterfaceI).

Подобная инициатива вызвана наличием проблемам, при  запуске старых Linux приложений (например, 5-и летней давности) на более-менее свежих версиях Linux дистрибутивов.

URL: http://kerneltrap.org/node/view/4006
Новость: https://www.opennet.ru/opennews/art.shtml?num=4505

Cообщить модератору | Наверх | ^

 Оглавление

Сообщения по теме [Сортировка по времени, UBB]


1. "Бинарная совместимость в Linux"
Сообщение от sauron email on 15-Окт-04, 14:07 
нефиг их там запускать ;)
Cообщить модератору | Наверх | ^

2. "Бинарная совместимость в Linux"
Сообщение от Dmit on 15-Окт-04, 14:44 
нда, линуксятина сама с собой несовместима :))
Cообщить модератору | Наверх | ^

3. "Бинарная совместимость в Linux"
Сообщение от Timofey on 15-Окт-04, 14:47 
А как насчет запуска программ для Windows 1.0/2.0 в Windows XP? ;-)
Cообщить модератору | Наверх | ^

4. "Бинарная совместимость в Linux"
Сообщение от Dmit on 15-Окт-04, 14:52 
Так и виндоза не эталон. Смотрите на Фрю :))
Cообщить модератору | Наверх | ^

5. "Бинарная совместимость в Linux"
Сообщение от Roman (??) on 15-Окт-04, 16:47 
Для запуска бинарников от фри 3.х/4.х на 5-ке тоже надо некоторые телодвижения сделать.
Cообщить модератору | Наверх | ^

6. "Бинарная совместимость в Linux"
Сообщение от Makumba on 15-Окт-04, 16:55 
растопырить пальцы ? :)
Cообщить модератору | Наверх | ^

7. "Бинарная совместимость в Linux"
Сообщение от blind email(ok) on 15-Окт-04, 17:19 
нет - скрестить.
Cообщить модератору | Наверх | ^

8. "Бинарная совместимость в Linux"
Сообщение от Alatar (??) on 15-Окт-04, 18:54 
Вообще-то во фре тоже самое, просто решили эту проблему раньше - модули бинарной совместимости выпускаются одновременно с релизом новой версии =)
Cообщить модератору | Наверх | ^

9. "Бинарная совместимость в Linux"
Сообщение от Dmit on 16-Окт-04, 06:25 
Ага.
"Any changes that could break backward compatibility (including kernel or library interfaces) are strongly discouraged, and will not be permitted except as a last-resort solution to a critical problem."
Нравится мне такой последовательнгый подход :))
Cообщить модератору | Наверх | ^

11. "Бинарная совместимость в Linux"
Сообщение от Moralez email(ok) on 18-Окт-04, 07:23 
у хрюшников ABI может поменяться даже в минорной версии, так что утиль ipfw перестанет работать, с вытекающими последствиями... да память коротка, видимо-с....
Cообщить модератору | Наверх | ^

12. "Бинарная совместимость в Linux"
Сообщение от uldus (ok) on 18-Окт-04, 09:07 
>у хрюшников ABI может поменяться даже в минорной версии, так что утиль
>ipfw перестанет работать, с вытекающими последствиями... да память коротка, видимо-с....

ipfw часть системы, если кто-то обновляет FreeBSD кусками, это не проблемы FreeBSD. Но если на обновленной системе со всеми свежими COMPAT перестал работать старый порт - вот тогда можно бить тревогу, только я такого за время своей практики не встречал, может из-за того, что спиок используемых мной портов ограничен.

Cообщить модератору | Наверх | ^

Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру